{% extends 'en/en_base.html' %}
{% load static %}

{% block content %}
    <section>
        <div class="spacer no-spacer">
            <div class="shadow p-30">
                <h3 class="h3 c-blue mb-5">
                    Edit Profile
                </h3>
                <form action="{% url 'backend:edit' %}" method="post" enctype="multipart/form-data">
                    {% csrf_token %}
                    <div class="row g-3">
                        <div class="col-md-6">
                            <label for="first_name" class="form-label">
                                First Name <span class="c-red">*</span>
                            </label>
                            <input type="text" class="form-control" name="first_name" id="first_name"
                                   value="{{ user.first_name }}" required>
                        </div>
                        <div class="col-md-6">
                            <label for="last_name" class="form-label">
                                Last Name <span class="c-red">*</span>
                            </label>
                            <input type="text" class="form-control" name="last_name" id="last_name"
                                   value="{{ user.last_name }}" required>
                        </div>
                        <div class="col-md-12">
                            <label for="job" class="form-label">
                                Job <span class="c-red">*</span>
                            </label>
                            <input type="text" class="form-control" name="job" id="job" value="{{ user.job }}"
                                   required>
                        </div>
                        <div class="col-md-6">
                            <label for="phone" class="form-label">
                                Phone <span class="c-red">*</span>
                            </label>
                            <input type="text" class="form-control" name="phone" id="phone" value="{{ user.phone }}"
                                   required>
                        </div>
                        <div class="col-md-6">
                            <label for="age" class="form-label">
                                Birthday <span class="c-red">*</span>
                            </label>
                            <input type="date" class="form-control" name="birthday" id="birthday"
                                   value="{{ user.birthday|date:'Y-m-d' }}" required>
                        </div>
                        <div class="col-md-12">
                            <label for="email" class="form-label">
                                Language <span class="c-red">*</span>
                            </label>
                            <select class="form-select" name="language" id="language">
                                <option value="en" {% if user.language == 'en' %} selected {% endif %}>
                                    English
                                </option>
                                <option value="id" {% if user.language == 'id' %} selected {% endif %}>
                                    Bahasa Indonesia
                                </option>
                            </select>
                        </div>
                        <div class="col-md-12">
                            <label for="image" class="form-label">Profile Picture</label>
                            <input class="form-control" type="file" accept="image/*" name="image" id="image">
                        </div>
                        <div class="col-md-12">
                            <label for="description" class="form-label">
                                Description
                            </label>
                            <textarea class="form-control" name="description"
                                      id="description">{{ user.description|default:"" }}</textarea>
                        </div>
                        <div class="col-md-12 text-center mt-5">
                            <button id="submit" type="submit" class="btn btn-primary">Save</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section>
{% endblock %}